import { Fragment } from 'react';
import LocalizedStrings from 'react-localization';

const strings = new LocalizedStrings({
  en: {
    colonize: (input: string): any => strings.formatString('{0}:', input),

    save: 'Save',
    cancel: 'Cancel',
    close: 'Close',
    settings: 'Settings',
    user: 'User',
    pseudo: 'Pseudo',
    geolocation: 'Geolocation',
    minTimeInt: 'Minimal time interval (ms)',
    minDist: 'Minimal distance (m)',

    trackRecording: 'Track recording',
    resumeRecording: 'Resume recording',
    startRecording: 'Start recording',
    pauseRecording: 'Pause',
    //    stopRecording: 'stop',
    //    cancelRecording: 'cancel',
    stopRecording: (
      <>
        Stop recording
        <br />
        (and save track)
      </>
    ),
    cancelRecording: (
      <>
        Cancel recording
        <br />
        (and clear track)
      </>
    ),

    chooseYourMap: 'Choose your map',

    tracks: 'Tracks',
  },
  fr: {
    colonize: (input: string): any => strings.formatString('{0} :', input),

    save: 'Sauvegarder',
    cancel: 'Annuler',
    close: 'Fermer',
    settings: 'Paramètres',
    user: 'Utilisateur',
    pseudo: 'Pseudo',
    geolocation: 'Géolocalisation',
    minTimeInt: 'Interval minimal (ms)',
    minDist: 'Distance minimale (m)',

    trackRecording: 'Enregistrement de trace',
    resumeRecording: (
      <>
        Reprendre
        <br />
        l'enregistrement
      </>
    ),
    startRecording: (
      <>
        Démarre
        <br />
        l'enregistrement
      </>
    ),
    pauseRecording: 'Pause',
    stopRecording: (
      <>
        Arrêter
        <br />
        (et sauvegarder)
      </>
    ),
    cancelRecording: (
      <>
        Annuler
        <br />
        (et effacer)
      </>
    ),

    chooseYourMap: 'Choisissez votre carte',

    tracks: 'Traces',
  },
});

export default strings;
